org.eclipse.viatra.dse.api

## Enum DesignSpaceExplorer.DseLoggingLevel

- java.lang.Object
- - java.lang.Enum<DesignSpaceExplorer.DseLoggingLevel>
  - - org.eclipse.viatra.dse.api.DesignSpaceExplorer.DseLoggingLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DesignSpaceExplorer.DseLoggingLevel>
  Enclosing class:
    DesignSpaceExplorer

      public static enum DesignSpaceExplorer.DseLoggingLevel
      extends java.lang.Enum<DesignSpaceExplorer.DseLoggingLevel>

  Enumeration for different use cases of logging, including:
  - OFF - no error messages.
  - WARN - only error and warn messages.
  - BASIC - logs basic information on how the exploration is going.
  - VERBOSE_STRATEGY - logs everything the exploration strategy is prepared for.
  - VERBOSE_FULL - logs every transformation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `OFF`
    `VERBOSE_FULL`
    `VERBOSE_STRATEGY`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DesignSpaceExplorer.DseLoggingLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DesignSpaceExplorer.DseLoggingLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final DesignSpaceExplorer.DseLoggingLevel OFF

    - #### WARN

          public static final DesignSpaceExplorer.DseLoggingLevel WARN

    - #### BASIC

          public static final DesignSpaceExplorer.DseLoggingLevel BASIC

    - #### VERBOSE_STRATEGY

          public static final DesignSpaceExplorer.DseLoggingLevel VERBOSE_STRATEGY

    - #### VERBOSE_FULL

          public static final DesignSpaceExplorer.DseLoggingLevel VERBOSE_FULL

  - ### Method Detail

    - #### values

          public static DesignSpaceExplorer.DseLoggingLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DesignSpaceExplorer.DseLoggingLevel c : DesignSpaceExplorer.DseLoggingLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DesignSpaceExplorer.DseLoggingLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null